cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

To apply security patch SUPEE-8788 (Version 2), (http://devdocs.magento.com/guides/m1x/other/ht_install-patches.html#apply-8788-new) it is suggested to apply SUPEE-3941 first. 

 

However, on the patch download page, there is no SUPEE-3941 patch for CE 1.6.2.0. The patch is available only for CE 1.8 and 1.9. 

 

In another thread, I read that it seems to be okay to apply the available SUPEE-3941 patch (for CE 1.8 & 1.9) on CE 1.7. 

 

Is it also okay to apply SUPEE-3941 (for CE 1.8 & 1.9) on CE 1.6.2.0? I tried applying it on CE 1.6.2.0 and got the following error:

 

 

Checking if patch can be applied/reverted successfully...
-e ERROR: Patch can't be applied/reverted successfully.

checking file downloader/Maged/Model/Connect.php
Hunk #1 succeeded at 489 (offset 3 lines).
checking file downloader/lib/Mage/Connect/Backup.php
checking file downloader/lib/Mage/Connect/Command.php
Hunk #1 FAILED at 64.
Hunk #2 succeeded at 205 with fuzz 2 (offset -44 lines).
Hunk #3 succeeded at 382 (offset -53 lines).
1 out of 3 hunks FAILED
checking file downloader/lib/Mage/Connect/Command/Install.php
Hunk #1 FAILED at 90.
Hunk #2 succeeded at 333 with fuzz 1 (offset 17 lines).
Hunk #3 succeeded at 363 (offset 17 lines).
1 out of 3 hunks FAILED
checking file downloader/lib/Mage/Connect/Packager.php
Hunk #4 FAILED at 268.
Hunk #5 FAILED at 290.
Hunk #6 succeeded at 369 with fuzz 2.
Hunk #7 FAILED at 377.
Hunk #9 FAILED at 428.
4 out of 10 hunks FAILED
checking file downloader/lib/Mage/Connect/Rest.php
Hunk #1 succeeded at 71 with fuzz 2 (offset -11 lines).
checking file downloader/lib/Mage/Connect/Singleconfig.php
Hunk #1 succeeded at 100 (offset -36 lines).
checking file downloader/lib/Mage/Connect/Validator.php
Hunk #1 succeeded at 418 (offset -41 lines).
Hunk #2 succeeded at 431 (offset -41 lines).
checking file downloader/lib/Mage/HTTP/Client/Curl.php
checking file downloader/template/settings.phtml

 

5 REPLIES

Re: SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

I'm in a similar situation right now.  I'm using 1.6.2 CE as well.

 

Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.

checking file downloader/Maged/Model/Connect.php
checking file downloader/lib/Mage/Connect/Backup.php
checking file downloader/lib/Mage/Connect/Command.php
Hunk #1 FAILED at 64.
Hunk #2 succeeded at 205 with fuzz 2 (offset -44 lines).
Hunk #3 succeeded at 382 (offset -53 lines).
1 out of 3 hunks FAILED
checking file downloader/lib/Mage/Connect/Command/Install.php
Hunk #1 FAILED at 90.
Hunk #2 succeeded at 333 with fuzz 1 (offset 17 lines).
Hunk #3 succeeded at 363 (offset 17 lines).
1 out of 3 hunks FAILED
checking file downloader/lib/Mage/Connect/Packager.php
Hunk #4 FAILED at 268.
Hunk #5 FAILED at 290.
Hunk #6 succeeded at 369 with fuzz 2.
Hunk #7 FAILED at 377.
Hunk #9 FAILED at 428.
4 out of 10 hunks FAILED
checking file downloader/lib/Mage/Connect/Rest.php
Hunk #1 succeeded at 71 with fuzz 2 (offset -11 lines).
checking file downloader/lib/Mage/Connect/Singleconfig.php
Hunk #1 succeeded at 100 (offset -36 lines).
checking file downloader/lib/Mage/Connect/Validator.php
Hunk #1 succeeded at 418 (offset -41 lines).
Hunk #2 succeeded at 431 (offset -41 lines).
checking file downloader/lib/Mage/HTTP/Client/Curl.php
checking file downloader/template/settings.phtml

Re: SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

Same here with CE 1.6.2.0! Cannot apply 8788 and neither is 3941 successful. 
Monitoring this thread just in case someone posts a solution! 

Re: SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

Seeing the same thing trying to apply 8788 to 1.6.1.0 CE install.

Re: SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

Hi,

 

I was stuck with the same problem and already asked for help in another thread but did not get a satisfactory answer...

 

So far, I found two solutions. Both are hacky but both work. I would be glad to hear from the Magento team which solution they would recommend and whether there is hope for an official solution for this problem...

 

Solution 1:

Use v1 of the patch. I'm sure you will find it somewhere. You will need to revert SUPEE-1533 first but after that v1 of SUPEE-8788 will apply without problems even without SUPEE-3941.

The drawback of this solution is that v1 has officially been pulled and there are a few more changes in v2 then just those related to SUPEE-3941.

 

Solution 2:

In this discussion on stackexcange http://magento.stackexchange.com/questions/140550/security-patch-supee-8788-possible-problems a small script for automating the patching process has been linked: https://github.com/DemacMedia/magento-SUPEE8788-patcher

If you dig a bit deeper in there, you will find in there a version of SUPEE-3941 for EE1.11 (PATCH_SUPEE-3941_EE_1.11.2.0_v1-2016-10-14-09-00-34.sh). Since EE1.11 is equivalent to CE 1.6.2 I tried it on my installation and it worked.

With this version of SUPEE-3941 the remaining procedure works without a hiccup.

The drawback of this solution that you are using a patch for a different version and there might be problems because of that in the future...

 

Don't forget to patch your custom themes with the formkeys!

 

A clarification from the Magento team would be highly appreciated!

 

Hope that helps!

Cheers,

Roland

 

PS: the key conclusion for me is that we will have to move away from 1.6.2 ASAP. After looking at the drama sourrounding the realease of this patch it is clear that Magento is only properly supporting the latest version. The patches for the other versions (everything below 1.9) were apparently never tested and just released for the community to try out...

Re: SUPEE-8788 (V2) : Apply SUPEE-3941 to CE 1.6.2.0

The second solution posted by Roland worked for me. I had to remove the lines for patching file Curl.php (under downloader/lib/Mage/HTTP/Client/Curl.php) and the rest ran without any error! Will deploy this bugfix soon and hope that my shop does not break! Smiley Very Happy

Ah totally forgot! I had some OSX specific problems which I had to solve as stated here in this thread: http://magento.stackexchange.com/questions/140632/supee-8788-on-osx-illegal-byte-sequence